foif 发表于 2003-5-21 09:06:00

如何用acedCommand(RTSTR,"point",RTPOINT,pt,0);展三维点

我在使用acedCommand(RTSTR,"point",RTPOINT,pt,0);展点时,pt是一个ads_point类型的变量,但展出来的点的属性只有X,Y,的数据,Z为0。请问为什么?我要展出Z的值应该怎么处理。谢谢了。

friendyuan 发表于 2003-6-27 17:12:00

我遇到很多类似的问题,用AcedCommand命令时,经常丢失Z坐标。请知道的一定回复。

funlxming 发表于 2003-7-1 17:19:00

#define RT3DPOINT 5009 /* 3D point - X, Y, and Z */
#define RTPOINT   5002 /* 2D point X and Y only */
呵呵......

foif 发表于 2003-7-2 13:57:00

我现在不用acedcommand 命令,我用acedpoint,写入数据库是可以的

stoneball 发表于 2003-7-4 14:07:00

的确,使用acedpoint会更方便

friendyuan 发表于 2003-7-6 09:27:00

我遇到过多次了,现在解决了,用RT3DPOINT 代替 RTPOINT

yusongrong 发表于 2003-7-26 11:57:00

为什么无法写入?请教:
AcDbObjectId creatPoint(AcGePoint3dpoint)
{          
       AcGePointEnt3d* pp=new AcGePointEnt3d(point);          
       AcDbBlockTable* pBlockTable;
       acdbHostApplicationServices()->workingDatabase()
                  ->getSymbolTable(pBlockTable,AcDb::kForRead);
       AcDbBlockTableRecord* pBlockTableRecord;
       pBlockTable->getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);             
       pBlockTable->close();
       AcDbObjectId pointId;       
       pBlockTableRecord->appendAcDbEntity(pointId,pp);
       pBlockTableRecord->close();
      pp->close();
      return pointId;
}
页: [1]
查看完整版本: 如何用acedCommand(RTSTR,"point",RTPOINT,pt,0);展三维点